Berkeley DB version 4.4.20

## com.sleepycat.db
Class TransactionStats.Active

    java.lang.Object
      com.sleepycat.db.TransactionStats.Active

Enclosing class:
  TransactionStats

public class TransactionStats.Active
extends Object

The Active class represents an active transaction.

Method Summary
`LogSequenceNumber` `getLsn()` The log sequence number of the transaction's first log record.
`String` `getName()` The transaction name, including the thread name if available.
`int` `getParentId()` The transaction ID of the parent transaction (or 0, if no parent).
`int` `getPid()` The process ID of the process that owns the transaction.
`int` `getTxnId()` The transaction ID of the transaction.
`int` `getXaStatus()` If the transaction is an XA transaction, the status of the transaction, otherwise 0.
`byte[]` `getXId()` If the transaction is an XA transaction, the XA global transaction ID.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public String getName()

  The transaction name, including the thread name if available.

### getTxnId

    public int getTxnId()

  The transaction ID of the transaction.

### getParentId

    public int getParentId()

  The transaction ID of the parent transaction (or 0, if no parent).

### getPid

    public int getPid()

  The process ID of the process that owns the transaction.

### getLsn

    public LogSequenceNumber getLsn()

  The log sequence number of the transaction's first log record.

### getXaStatus

    public int getXaStatus()

  If the transaction is an XA transaction, the status of the transaction, otherwise 0.

### getXId

    public byte[] getXId()

  If the transaction is an XA transaction, the XA global transaction ID.

Berkeley DB version 4.4.20

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.